Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024138
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2013-06-19 12:332013-07-21 22:34
ReporteradrianromeroView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRMP24
StatusclosedFix in branchFixed in SCM revisionb23df0908826
ProjectionnoneETAnoneTarget VersionRMP25
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP23SCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024138: When setting the option Use barcode scanner, receipts discounts does not work

DescriptionIn an iPad and with the POS terminal configured with the Option "Use barcode scanner" activated, the receipt discounts combo field does not work.

The origin of this issue is that with the "Use barcode scanner" activated and going to receipt discounts the focus is owned by the combo field and this is the reason it cannot be opened.
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0059529)
hgbot (developer)
2013-06-19 15:40

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: b23df0908826b312dc49e240a8977b756f306783
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jun 19 15:40:04 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b23df0908826b312dc49e240a8977b756f306783 [^]

Fixed issue 24138. Now the combo field in Receipt discounts will work even if the 'Use barcode scanner' setting is set

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/ticketdiscount.js
---
(0059530)
hgbot (developer)
2013-06-19 15:41

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 09c7f5648a89fcfd508fd782b73395ed0e64f3d7
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jun 19 15:41:41 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/09c7f5648a89fcfd508fd782b73395ed0e64f3d7 [^]

Related to issue 24138. Moved var to the beginning of method definition (style)

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/ticketdiscount.js
---
(0059602)
guilleaer (developer)
2013-06-20 10:04

verified
(0059760)
hgbot (developer)
2013-06-28 10:30

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: b23df0908826b312dc49e240a8977b756f306783
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jun 19 15:40:04 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/b23df0908826b312dc49e240a8977b756f306783 [^]

Fixed issue 24138. Now the combo field in Receipt discounts will work even if the 'Use barcode scanner' setting is set

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/ticketdiscount.js
---
(0059761)
hgbot (developer)
2013-06-28 10:30

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 09c7f5648a89fcfd508fd782b73395ed0e64f3d7
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jun 19 15:41:41 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/09c7f5648a89fcfd508fd782b73395ed0e64f3d7 [^]

Related to issue 24138. Moved var to the beginning of method definition (style)

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/ticketdiscount.js
---

- Issue History
Date Modified Username Field Change
2013-06-19 12:33 adrianromero New Issue
2013-06-19 12:33 adrianromero Assigned To => marvintm
2013-06-19 12:33 adrianromero Target Version => RMP25
2013-06-19 15:40 hgbot Checkin
2013-06-19 15:40 hgbot Note Added: 0059529
2013-06-19 15:40 hgbot Status new => resolved
2013-06-19 15:40 hgbot Resolution open => fixed
2013-06-19 15:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b23df0908826b312dc49e240a8977b756f306783 [^]
2013-06-19 15:41 hgbot Checkin
2013-06-19 15:41 hgbot Note Added: 0059530
2013-06-20 10:04 guilleaer Review Assigned To => guilleaer
2013-06-20 10:04 guilleaer Note Added: 0059602
2013-06-20 10:04 guilleaer Status resolved => closed
2013-06-20 10:04 guilleaer Fixed in Version => RMP24
2013-06-28 10:30 hgbot Checkin
2013-06-28 10:30 hgbot Note Added: 0059760
2013-06-28 10:30 hgbot Status closed => resolved
2013-06-28 10:30 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/b23df0908826b312dc49e240a8977b756f306783 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/b23df0908826b312dc49e240a8977b756f306783 [^]
2013-06-28 10:30 hgbot Checkin
2013-06-28 10:30 hgbot Note Added: 0059761
2013-07-05 11:34 marvintm Status resolved => closed
2013-07-21 22:34 anherzog Issue Monitored: anherzog


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker